package w83b.w83bOperacionesPaso.w83bImpugnaciones;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.lang.StringUtils;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import es.ejie.frmk.presentacion.operacion.paso.Q70ActionPasoOP;
import es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE;

public class W83bDescargarDocumentoOPAction extends Q70ActionPasoOP {

	protected void processOP(Q70ContextoEJIE contexto, ActionErrors errores, ActionMapping mapping,
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		
	}

	protected ActionForward processForward(Q70ContextoEJIE contexto, ActionErrors errors, ActionMapping mapping, 
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {

		if (StringUtils.isNotEmpty(request.getParameter("idDocumento")))
		{
			String idDocumento=request.getParameter("idDocumento");
			contexto.set("idDocumento", idDocumento);
			
			return mapping.findForward("ok");
		}
		return mapping.findForward("error");	
		
	}
}

